SoGLLazyElement::GLState Struct Reference

## Public Attributes

uint32_t | cachebitmask
uint32_t | diffuse
SbColor | ambient
SbColor | emissive
SbColor | specular
float | shininess
int32_t | lightmodel
int32_t | blending
int32_t | blend_sfactor
int32_t | blend_dfactor
int32_t | alpha_blend_sfactor
int32_t | alpha_blend_dfactor
int32_t | stipplenum
int32_t | vertexordering
int32_t | culling
int32_t | twoside
int32_t | flatshading
int32_t | alphatestfunc
float | alphatestvalue
SbUniqueId | diffusenodeid
SbUniqueId | transpnodeid
uint32_t | reserved [4]

The documentation for this struct was generated from the following file:

- SoGLLazyElement.h